GET /api/alt-fuel-stations/v1/:id
Fetch the details of a specific alternative fuel station given the station's ID.
Request URL
Request Parameters
The following query parameters may be passed in the request to control the output:
| Parameter | Required | Value | Description |
|---|---|---|---|
| format | Yes |
Type: string
Default: None
Options: json, xml, csv
|
The output response format. Given in the URL as the file extension. |
| api_key | Yes |
Type: string
Default: None
|
Your developer API key. See API key usage for more information. |
| id | Yes |
Type: integer
|
The unique ID of the station to find. |
Response Fields
The response is composed of the fuel station matching the requested query. The station has the following attributes:
| Field | Value | Description | ||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| fuel_type_code |
Type: string
|
The type of alternative fuel the station provides. Fuel types are given as code values as described below:
|
||||||||||||||||||||||||||||
| station_name |
Type: string
|
The name of the station. | ||||||||||||||||||||||||||||
| street_address |
Type: string
|
The street address of the station's location. | ||||||||||||||||||||||||||||
| intersection_directions |
Type: string
|
Brief additional information about how to locate the station. | ||||||||||||||||||||||||||||
| city |
Type: string
|
The city of the station's location. | ||||||||||||||||||||||||||||
| state |
Type: string
|
The two character U.S. state or Canadian province code of the station's location. | ||||||||||||||||||||||||||||
| zip |
Type: string
|
The ZIP code (postal code) of the station's location. | ||||||||||||||||||||||||||||
| plus4 |
Type: string
|
The plus-4 portion of the station's ZIP code (U.S. ZIP codes only). | ||||||||||||||||||||||||||||
| station_phone |
Type: string
|
The phone number of the station. | ||||||||||||||||||||||||||||
| status_code |
Type: string
|
The current status of the station, given as code values as described below:
|
||||||||||||||||||||||||||||
| expected_date |
Type: date
|
For planned stations, the date the station is expected to open or start carrying alternative fuel. | ||||||||||||||||||||||||||||
| groups_with_access_code |
Type: string
|
A description of who is allowed to access the station and other station access information. Stations with the groups_with_access_code "Private - fleet customers only" may allow other entities to fuel through a business-to-business arrangement. For more information, fleet customers should refer to the access_days_time field for contact information or contact the station directly. | ||||||||||||||||||||||||||||
| access_days_time |
Type: string
|
Hours of operation for the station. | ||||||||||||||||||||||||||||
| cards_accepted |
Type: string
|
A space-separated list of payment methods accepted. Payment methods are given as code values as described below:
|
||||||||||||||||||||||||||||
| owner_type_code |
Type: string
|
A space-separated list of payment methods accepted. Payment methods are given as code values as described below:
|
||||||||||||||||||||||||||||
| federal_agency |
Type: record
|
If the station is owned by a federal agency, a record for the federal agency that owns this station. See federal agency record fields for response details. | ||||||||||||||||||||||||||||
| bd_blends |
Type: string
|
For biodiesel stations, the level of biodiesel blends the station provides. | ||||||||||||||||||||||||||||
| e85_blender_pump |
Type: boolean
|
For E85 stations, an indication of whether the station has a blender pump on site, given as a boolean:
|
||||||||||||||||||||||||||||
| lpg_primary |
Type: boolean
|
For propane stations, the type of station, given as a boolean:
|
||||||||||||||||||||||||||||
| ng_fill_type_code |
Type: string
|
For CNG stations, the type of dispensing capability available, given as code values as described below:
|
||||||||||||||||||||||||||||
| ng_psi |
Type: string
|
For CNG stations, a space separated list of PSI pressures available. | ||||||||||||||||||||||||||||
| ng_vehicle_class |
Type: string
|
For CNG and LNG stations, the maximum vehicle size that can physically access the fueling infrastructure, given as code values as described below:
Note: This field does not take into account station capacity or other considerations. |
||||||||||||||||||||||||||||
| ev_level1_evse_num |
Type: integer
|
For electric stations, the number of Level 1 EVSE (standard 110V outlet). | ||||||||||||||||||||||||||||
| ev_level2_evse_num |
Type: integer
|
For electric stations, the number of Level 2 EVSE (J1772 connector). | ||||||||||||||||||||||||||||
| ev_dc_fast_num |
Type: integer
|
For electric stations, the number of DC Fast Chargers. | ||||||||||||||||||||||||||||
| ev_other_evse |
Type: string
|
For electric stations, the number and type of additional EVSE, such as:
|
||||||||||||||||||||||||||||
| ev_network |
Type: string
|
For electric stations, the name of the EVSE network, if applicable. | ||||||||||||||||||||||||||||
| ev_network_web |
Type: string
|
For electric stations, the EVSE network Web site, if applicable. | ||||||||||||||||||||||||||||
| hy_status_link |
Type: string
|
For hydrogen stations, a link to a website that provides up-to-date information about the current status of this hydrogen station. | ||||||||||||||||||||||||||||
| geocode_status |
Type: string
|
A rating indicating the approximate accuracy of the latitude and longitude for the station's address, given as code values as described below:
|
||||||||||||||||||||||||||||
| latitude |
Type: decimal
Range: -90 to 90
|
The latitude of the station's address (see the "Geocode Status" field for details on the latitude's accuracy). | ||||||||||||||||||||||||||||
| longitude |
Type: decimal
Range: -180 to 180
|
The longitude of the station's address (see the "Geocode Status" field for details on the longitude's accuracy). | ||||||||||||||||||||||||||||
| open_date |
Type: date
|
The date that the station began offering the fuel. Please note that LPG (propane) stations do not have open dates. | ||||||||||||||||||||||||||||
| date_last_confirmed |
Type: date
|
The date the station's details were last confirmed. | ||||||||||||||||||||||||||||
| updated_at |
Type: datetime
|
The time the station's details were last updated (ISO 8601 format). | ||||||||||||||||||||||||||||
| id |
Type: integer
|
A unique identifier for this specific station. |
Federal Agency Record Fields
| Field | Value | Description |
|---|---|---|
| id |
Type: integer
|
A unique identifier for the federal agency. |
| name |
Type: string
|
The name of the federal agency. |
Examples
JSON Output Format
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 |
{
"alt_fuel_station": {
"access_days_time": null,
"bd_blends": null,
"cards_accepted": null,
"city": "Golden",
"date_last_confirmed": "2012-12-31",
"e85_blender_pump": null,
"ev_dc_fast_num": null,
"ev_level1_evse_num": null,
"ev_level2_evse_num": 38,
"ev_network": null,
"ev_network_web": null,
"ev_other_evse": null,
"expected_date": null,
"federal_agency": {
"id": 8,
"name": "U.S. Department of Energy"
},
"fuel_type_code": "ELEC",
"geocode_status": "200-8",
"groups_with_access_code": "Private access only",
"hy_status_link": null,
"id": 39534,
"intersection_directions": "Building 17",
"latitude": 39.7408399,
"longitude": -105.1685277,
"lpg_primary": null,
"ng_fill_type_code": null,
"ng_psi": null,
"ng_vehicle_class": null,
"open_date": "2011-05-20",
"owner_type_code": "FG",
"plus4": null,
"state": "CO",
"station_name": "National Renewable Energy Laboratory - Denver West",
"station_phone": null,
"status_code": "E",
"street_address": "15013 Denver West Pkwy",
"updated_at": "2013-01-16T16:09:02Z",
"zip": "80401"
}
}
|
XML Output Format
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 |
<?xml version="1.0" encoding="UTF-8"?>
<alt-fuel-station>
<access-days-time nil="true" />
<bd-blends nil="true" />
<cards-accepted nil="true" />
<city>Golden</city>
<date-last-confirmed>2012-12-31</date-last-confirmed>
<expected-date nil="true" />
<fuel-type-code>ELEC</fuel-type-code>
<geocode-status>200-8</geocode-status>
<groups-with-access-code>Private access only</groups-with-access-code>
<hy-status-link nil="true" />
<intersection-directions>Building 17</intersection-directions>
<latitude>39.7408399</latitude>
<longitude>-105.1685277</longitude>
<open-date>2011-05-20</open-date>
<owner-type-code>FG</owner-type-code>
<plus4 nil="true" />
<station-name>National Renewable Energy Laboratory - Denver West</station-name>
<station-phone nil="true" />
<status-code>E</status-code>
<street-address>15013 Denver West Pkwy</street-address>
<zip>80401</zip>
<state>CO</state>
<ng-fill-type-code nil="true" />
<ng-psi nil="true" />
<ng-vehicle-class nil="true" />
<e85-blender-pump nil="true" />
<ev-level1-evse-num nil="true" />
<ev-level2-evse-num>38</ev-level2-evse-num>
<ev-dc-fast-num nil="true" />
<ev-other-evse nil="true" />
<ev-network nil="true" />
<ev-network-web nil="true" />
<lpg-primary nil="true" />
<id>39534</id>
<updated-at>2013-01-16T16:09:02Z</updated-at>
<federal-agency>
<id type="integer">8</id>
<name>U.S. Department of Energy</name>
</federal-agency>
</alt-fuel-station>
|
CSV Output Format
1 2 |
Fuel Type Code,Station Name,Street Address,Intersection Directions,City,State,ZIP,Plus4,Station Phone,Status Code,Expected Date,Groups With Access Code,Access Days Time,Cards Accepted,BD Blends,NG Fill Type Code,NG PSI,EV Level1 EVSE Num,EV Level2 EVSE Num,EV DC Fast Count,EV Other Info,EV Network,EV Network Web,Geocode Status,Latitude,Longitude,Date Last Confirmed,ID,Updated At,Owner Type Code,Federal Agency ID,Federal Agency Name,Open Date,Hydrogen Status Link,NG Vehicle Class,LPG Primary,E85 Blender Pump
ELEC,National Renewable Energy Laboratory - Denver West,15013 Denver West Pkwy,Building 17,Golden,CO,80401,,,E,,Private access only,,,,,,,38,,,,,200-8,39.7408399,-105.1685277,2012-12-31,39534,2013-01-16 16:09:02 UTC,FG,8,U.S. Department of Energy,2011-05-20,,,,
|
Rate Limits
Standard rate limits apply. No more than 1,000 requests may be made in any hour. No more than 10,000 requests may be made in any day.
Errors
Standard errors may be returned. In addition, the following service-specific errors may be returned:
| HTTP Status Code | Description |
|---|---|
| 404 | Not Found - A station for the given ID could not be found. |